<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin>

   <extension
         id="application"
         point="org.eclipse.core.runtime.applications">
      <application>
         <run
               class="org.pentaho.cubewizard.intro.Application">
         </run>
      </application>
   </extension>
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            class="org.pentaho.cubewizard.intro.Perspective"
            icon="icons/pentaho_icon.GIF"
            id="org.pentaho.cubewizard.perspective"
            name="Cube Wizard">
      </perspective>
   </extension>
   <extension
         id="product"
         point="org.eclipse.core.runtime.products">
      <product
            application="org.pentaho.cubewizard.application"
            name="Pentaho Cube Designer">
         <property
               name="windowImages"
               value="icons/pentaho_icon.GIF"/>
         <property
               name="startupProgressRect"
               value="0,605,755,15"/>
         <property
               name="startupForegroundColor"
               value="FF0000"/>
         <property
               name="startupMessageRect"
               value="7,580,441,20"/>
      </product>
   </extension>
   <extension
         point="org.eclipse.ui.views">
      <category
            id="org.pentaho.cubewizard"
            name="Cube Schema Category"/>
      <view
            category="org.pentaho.cubewizard"
            class="org.pentaho.cubewizard.views.CubeSchemaDescView"
            icon="icons/pentaho_icon.GIF"
            id="org.pentaho.cubewizard.views.CubeSchemaDescView"
            name="Cube Schema Description View"/>
      <view
            category="org.pentaho.cubewizard"
            class="org.pentaho.cubewizard.views.CubeSchemaXMLNavView"
            icon="icons/pentaho_icon.GIF"
            id="org.pentaho.cubewizard.views.CubeSchemaXMLNavView"
            name="Application Navigation View"/>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="Pentaho Wizards"
            id="org.pentaho.workbench.editors.actionsequence">
      </category>
      <category
            id="org.pentaho.cubewizard"
            name="Pentaho Wizards"/>
      <!-- wizard
            category="org.pentaho.workbench.editors.actionsequence"
            class="org.pentaho.cubewizard.ui.LaunchSchemaBuilderWizard"
            descriptionImage="icons/pentaho_icon.ico"
            icon="icons/pentaho_icon.ico"
            id="org.pentaho.cubewizard.ui.LaunchSchemaBuilderWizard"
            name="Cube Wizard">
      </wizard -->
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            id="org.pentaho.cubewizard.editors.actionsequence.contribution1"
            nameFilter="*"
            objectClass="org.eclipse.core.resources.IFile">
         <menu
               id="org.pentaho.workbench.editors.actionsequence.menu1"
               label="BI Platform"
               path="additions">
            <separator name="group1"/>
         </menu>
         <action
               class="org.pentaho.cubewizard.ui.actions.NewActionSequence"
               enablesFor="1"
               icon="icons/pentaho_icon.ico"
               id="org.pentaho.cubewizard.editors.actionsequence.newAction"
               label="Cube Wizard"
               menubarPath="org.pentaho.cubewizard.editors.actionsequence.menu1/group1"/>
      </objectContribution>
   </extension>
   <!--extension
         point="org.eclipse.ui.actionSets">
      <actionSet
            id="org.pentaho.cubewizard.editors.actionsequence.actionSet"
            label="Sample Action Set"
            visible="true">
         <menu
               id="sampleMenu"
               label="BI Platform">
            <separator name="sampleGroup"/>
         </menu>
         <action
               class="org.pentaho.cubewizard.ui.actions.NewActionSequenceAction"
               icon="icons/pentaho_icon.ico"
               id="org.pentaho.cubewizard.editors.actionsequence.actions.NewActionSequenceAction"
               label="Cube Wizard"
               menubarPath="sampleMenu/sampleGroup"
               toolbarPath="sampleGroup"
               tooltip="Create a new Cube"/>
      </actionSet>
   </extension-->
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            class="org.pentaho.cubewizard.preferences.CubeWizardPreferencePage"
            id="org.pentaho.cubewizard.preferences.CubeWizardPreferencePage"
            name="Cube Designer Preferences"/>
   </extension>
   <extension
         point="org.eclipse.core.runtime.preferences">
      <initializer class="org.pentaho.cubewizard.preferences.PreferenceInitializer"/>
   </extension>
</plugin>
